GDM2 2.15.7 (unstable)
Posted on: 07/25/2006 08:24 AM

GDM2 2.15.7 (unstable) has been released

The 2.15.7 release is an unstable release of GDM with the following new features.

- Now GDM does not save Failsafe GNOME or Failsafe Xterm as the user's default session, so the user does not lose their default setting when using Failsafe (bug #341619). (Brian Cameron)

- Updated GDM's slave/daemon message handling so it uses giochannel internal buffering. This should prevent messages from getting lost. (Ray Strode)

- Performance improvements to gdmsetup start-up. (Ray Strode)

- Fix for compiling with GCC 2.95. (Jens Granseuer)

- Translation updates (Beno\\303\\256t Dejean, Christophe Merlet, Lukas Novotny, Ahmad Riza H Nst, Kostas Papadimas, Hendrik Richter)

Note that this also contains an important security fix that was originally released in 2.15.4, so please make sure to update if using an older version than 2.15.4.

Note: GDM2 was originally written by Martin K. Petersen lt;mkp@mkp.netgt;. Much work has been done on GDM2 by George Lebl, and Brian Cameron currently shares maintainership duties with the Queen of England.

Note2: If installing from the tarball do note that make install overwrites most of the setup files, all except gdm.conf. It will however save backups with the .orig extension first.

GDM2 2.15.7 (unstable)


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/gdm2_2157_unstable.html)